% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/splot-params.R
\name{resolve_node_sizes}
\alias{resolve_node_sizes}
\title{Resolve Node Sizes}
\usage{
resolve_node_sizes(
  vsize,
  n,
  default_size = NULL,
  scale_factor = NULL,
  scaling = "default"
)
}
\arguments{
\item{vsize}{User-specified node size(s).}

\item{n}{Number of nodes.}

\item{default_size}{Default size if NULL (uses scale constants if NULL).}

\item{scale_factor}{Scale factor to apply (uses scale constants if NULL).}

\item{scaling}{Scaling mode: "default" or "legacy".}
}
\value{
Vector of node sizes.
}
\description{
Converts vsize parameter to user coordinate sizes.
}
\keyword{internal}
